Mailinglist Archive: opensuse-bugs (15876 mails)

< Previous Next >
[Bug 301690] New: zypper is completely broken now
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Sun, 19 Aug 2007 03:07:21 -0600 (MDT)
  • Message-id: <bug-301690-21960@xxxxxxxxxxxxxxxxxxxxxxxxx/>
https://bugzilla.novell.com/show_bug.cgi?id=301690

           Summary: zypper is completely broken now
           Product: openSUSE 10.3
           Version: Beta 1
          Platform: Other
        OS/Version: Other
            Status: NEW
          Severity: Blocker
          Priority: P5 - None
         Component: libzypp
        AssignedTo: kkaempf@xxxxxxxxxx
        ReportedBy: dominique.leuenberger@xxxxxxxxxxxxx
         QAContact: kkaempf@xxxxxxxxxx
          Found By: ---


Zypper does not allow to upgrade single packages anymore.

Tried on several ones.
Example: Have bash installed, want to upgrade to later available version from
factory repo (bash just being an example, it fails the same for all other
packages).

Zypper resolved, then states there are no providers for bash > installed
version.

*** conlog ***
joshua:~ # zypper -vvvv se bash; zypper -vvvv in bash
Verbosity: 4
Non-option program arguments: 'bash' 
Checking whether to refresh metadata for VLC.
Checking whether to refresh metadata for OSS-Factory.
Initializing Target
0 items locked
Establishing status of aggregates
wildcards2regex: bash -> bash -> bash
using regex: .*bash.*
Pre-caching installed resolvables matching given search criteria... 
* Reading installed packages [100%]
invokeOnEachSearched(): search among all resolvables
2 out of (1381)cached.
* Reading repository 'VLC' cache
 (129 resolvables found)
* Reading repository 'OSS-Factory' cache
 (20336 resolvables found)
invokeOnEachSearched(): search among all resolvables
invokeOnEachSearched(): search among all resolvables

S | Repository  | Type    | Name            | Version     | Arch  
--+-------------+---------+-----------------+-------------+-------
i |             | package | bash            | 3.2-46      | i586  
v | OSS-Factory | package | bash            | 3.2-50      | i586  
  | OSS-Factory | package | bash-completion | 20060301-35 | noarch
i |             | package | bash-doc        | 3.2-5       | i586  
v | OSS-Factory | package | bash-doc        | 3.2-9       | i586  
Exiting main()
Verbosity: 4
Non-option program arguments: 'bash' 
Checking whether to refresh metadata for VLC.
Checking whether to refresh metadata for OSS-Factory.
Initializing Target
* Reading repository 'VLC' cache
 (129 resolvables found)
* Reading repository 'OSS-Factory' cache
 (20336 resolvables found)
* Reading installed packages [100%]
   (1381 resolvables)
capstr: bash
installed resolvable named bash found, changing capability to bash
Capability: [package] (namedcap) bash>3.2-46
Adding requirement [package] (namedcap) bash>3.2-46
0 items locked
Establishing status of aggregates
Resolving dependencies...
1 Problems:
Problem: Requirememt bash>3.2-46 cannot be fulfilled.

Problem: Requirememt bash>3.2-46 cannot be fulfilled.
 There are no installable providers of bash>3.2-46

number, (r)etry or (c)ancel> 
*** END CONLOG ***

Installed versions:
joshua:~ # rpm -q libzypp zypper
libzypp-3.15.0-3
zypper-0.8.11-2


-- 
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >